APT-LISTCHANGES(1)

NAME
apt-listchanges - Nieuwe wijzigingen uit de Debian-pakketarchieven tonen

SAMENVATTING

apt-listchanges [[opties...]] {[--apt] | [pakket.deb...]}

BESCHRIJVING

apt-listchanges is een hulpmiddel om te laten zien wat er is veranderd in een nieuwe versie van een Debian pakket, vergeleken met de versie die momenteel op het systeem is geïnstalleerd.

Het doet dit door uit Debian pakketarchieven de relevante items te halen uit zowel het bestand NEWS.Debian als het bestand changelog[.Debian], die meestal te vinden zijn in /usr/share/doc/pakket.

Houd er rekening mee dat als in de standaardinstallatie apt-listchanges tijdens upgrades wordt uitgevoerd als een plug-in van APT, het alleen vermeldingen weergeeft uit NEWS.Debian. Dit kan worden gewijzigd met de optie --which.

Als changelog-vermeldingen worden weergegeven en het pakket geen bestand changelog[.Debian] bevat, roept apt-listchanges het commando apt-get changelog aan om de changelog van het netwerk te downloaden. Dit gedrag kan worden uitgeschakeld met de optie --no-network.

Als een reeks bestandsnamen als argumenten gegeven zijn (of gelezen worden van apt bij het gebruik van --apt), zal apt-listchanges de bestanden scannen (in de veronderstelling dat het Debian pakketarchieven zijn) voor de relevante changelog-vermeldingen, en ze allemaal weergeven in een samenvatting gegroepeerd per broncodepakket. De groepen worden gesorteerd op de urgentie van de meest urgente wijziging, en vervolgens op de pakketnaam. Wijzigingen binnen elke pakketgroep worden weergegeven in de volgorde waarin ze voorkomen in de changelog-bestanden, d.w.z. te beginnen met de recentste tot de oudste; de optie --reverse kan worden gebruikt om deze volgorde te veranderen.

OPTIES

apt-listchanges biedt de volgende opties om zijn gedrag te regelen. De meeste daarvan hebben hun equivalent in het configuratiebestand, zie "CONFIGURATIEBESTAND" hieronder voor details.

--apt
    Bestandsnamen lezen uit een speciaal opgemaakte pijplijn (zoals aangeboden door apt), in plaats van uit opdrachtregelargumenten, en zich houden aan bepaalde apt-specifieke opties in het configuratiebestand. Deze pijplijn moet de indeling "versie 2" hebben, gespecificeerd in de apt-configuratie.

-v, --verbose
    Extra (meestal ongewenste) informatie weergeven. Bijvoorbeeld een bericht weergeven wanneer een pakket van dezelfde of een oudere versie moet worden geïnstalleerd, of wanneer een pakket voor het eerst moet worden geïnstalleerd.

-f, --frontend
    Selecteren welk frontend moet worden gebruikt om informatie aan de gebruiker te tonen. De huidige frontends zijn:

    pager
        Gebruikt de opdracht sensible-pager(1) om uitvoer weer te geven. De opdracht gebruikt de omgevingsvariabele PAGER om uw favoriete pager te kiezen. De optie "pager" kan gespecificeerd worden in het configuratiebestand om een specifieke pager te selecteren voor gebruik met apt-listchanges.

    browser
        Geeft een changelog weer in HTML-indeling met hyperlinks voor bugs en e-mailadressen met behulp van de opdracht sensible-browser(1) die de omgevingsvariabele BROWSER onderzoekt om uw favoriete browser te kiezen. De optie "browser" kan worden gespecificeerd in het configuratiebestand om een specifieke browser te selecteren voor gebruik met apt-listchanges.

    xterm-pager
        Gebruikt uw favoriete pager om uitvoer weer te geven, maar doet dit in een xterm (met behulp van het alternatief x-terminal-emulator) op de achtergrond. Hierdoor kunt u doorgaan met de upgrade als u dat wilt, en door de changelogs blijven bladeren. U kunt de te gebruiken terminalemulator aanpassen met de configuratieoptie "xterm".

    xterm-browser
        De logische combinatie van xterm-pager en browser. Alleen geschikt voor browsers in tekstmodus.

    text
        Dumpt uitvoer naar stdout, zonder pauzes.

    syslog
        Dumpt uitvoer naar syslog. Er wordt aanbevolen de titeloptie uit te schakelen.

    log
        Voegt uitvoer toe aan een logbestand, met een facultatief filterproces. Er wordt aanbevolen de titeloptie uit te schakelen.

    mail
        Verstuurt mail naar het adres gespecificeerd met --email-address, en geeft geen changelogs weer.

    gtk
        Creëert een gtk-venster om de changelogs weer te geven. Python3-gi moet geïnstalleerd zijn.

    none
        Doet niets. Kan worden gebruikt om te voorkomen dat apt-listchanges wordt uitgevoerd wanneer het geconfigureerd is om automatisch vanuit apt te worden uitgevoerd.

    Houd er rekening mee dat apt-listchanges zal proberen over te schakelen naar een gebruiker zonder bijzondere voorrechten voordat de commando's in de frontends "browser", "xterm-browser" en "xterm-pager" worden uitgevoerd. Dit is momenteel echter niet van toepassing op de frontend "pager". Zie ook "OMGEVINGSVARIABELEN" hieronder.

--hide
    Het venster standaard verbergen bij frontends die dit ondersteunen (momenteel alleen gtk).

--email-address=adres
    Naast het weergeven van de changelog-gegevens ook een kopie ervan sturen naar het opgegeven adres. Gebruik deze optie met de speciale frontend 'mail' om changelog-vermeldingen enkel te mailen.

--email-format={text|html}
    If sending mail copies is enabled (see --email-address above), this option selects whether the mail should be sent as good old plain text data (which is the default behavior), or as html data with clickable links, which might be more convenient for people using graphical mail clients.

-c, --confirm
    Zodra de changelogs zijn weergegeven, de gebruiker vragen of deze al dan niet door wil gaan. Als de gebruiker ervoor kiest om niet door te gaan, wordt een niet-nul exit-status teruggegeven, en zal apt afbreken.

-a, --show-all
    In plaats van te proberen de changelog-vermeldingen weer te geven die recenter zijn dan de momenteel geïnstalleerde versie van het pakket, gewoon alle changelog-vermeldingen voor alle pakketten weergeven. Dit is handig om de volledige changelog van een .deb te bekijken voordat u deze uitpakt.

-n, --no-network
    In zeldzame gevallen wanneer een binair pakket (of om preciezer te zijn: geen van de binaire pakketten die op basis van hetzelfde broncodepakket zijn gemaakt en die samen als een groep worden verwerkt) geen changelog-bestand bevat, voert apt-listchanges standaard apt-get changelog uit om de changelogs te downloaden van de netwerkservers die gewoonlijk door uw besturingssysteemdistributie worden aangeboden. Deze optie schakelt dit gedrag uit, wat bijvoorbeeld handig kan zijn voor systemen achter een firewall.

--save-seen=bestand
    Deze optie zorgt ervoor dat apt-listchanges de laatste versie van een pakket bijhoudt waarvoor changelogs zijn weergegeven, om te voorkomen dat dezelfde changelogs bij een volgende aanroep opnieuw worden weergegeven. De database wordt opgeslagen in het genoemde bestand. Geef 'none' op om deze functie uit te schakelen.

--dump-seen
    De inhoud van de database met bekeken changelogs weergeven op de standaarduitvoer als een lijst met regels bestaande uit de naam van het broncodepakket en de laatste geziene versie, gescheiden door een spatie. Deze optie vereist dat het pad naar de database met geziene changelogs bekend is: geef dit op met de optie --save-seen of geef de optie --profile=apt door om dit te laten lezen uit het configuratiebestand.

--since=versie
    Deze optie zorgt ervoor dat apt-listchanges de vermeldingen weergeeft die recenter zijn dan de gespecificeerde versie. Met deze optie is het enige andere argument dat u kunt doorgeven het pad naar een .deb bestand.

--latest=N
    Deze optie zorgt ervoor dat apt-listchanges alleen de laatste N items toont.

--which={news|changelogs|both}
    Deze optie selecteert of nieuws (van NEWS.Debian et al.), changelogs (van changelog.Debian et al.) of beide moeten worden weergegeven. Standaard wordt alleen nieuws weergegeven wanneer het als een APT-plugin uitgevoerd wordt, of anders beide.

--help
    Geeft syntaxisinformatie weer.

-h, --headers
    Deze opties zorgen ervoor dat apt-listchanges een header toevoegt vóór de changelog van elk pakket met de naam van het pakket, en de namen van de binaire pakketten die worden geüpgraded (als er meer dan één is, of als het verschilt van de naam van het bronpakket).

--debug
    Wat foutopsporingsinformatie weergeven.

--profile=naam
    Een optieprofiel selecteren. naam komt overeen met een sectie in /etc/apt/listchanges.conf. De standaardinstelling wanneer de aanroep gebeurt vanuit apt, is "apt", en anders "cmdline".

--log=bestand
    Het bestand waaraan gegevens worden toegevoegd door het log-frontend. De standaardinstelling is /var/log/apt/listchanges.log. De optie --filter=commando kan worden gebruikt om de uitvoer te wijzigen voordat deze wordt toegevoegd aan het logbestand. Zorg ervoor dat u logboekrotatie instelt voor dit bestand.

--filter=commando
    Het commando selecteren dat wordt gebruikt om de uitvoer te filteren voordat deze door het log-frontend wordt toegevoegd aan het logbestand. stdin ontvangt de uitvoer van apt-listchanges en stdout voegt deze toe aan het logbestand. Scheid argumenten met spaties en omsluit argumenten die spaties bevatten met aanhalingstekens. Het commando zal niet worden uitgevoerd met behulp van de shell tenzij de shell is opgenomen in het commando: sh -c 'date ; cat'

--reverse
    De changelog-vermeldingen in omgekeerde volgorde weergeven.

--ignore-apt-assume, --ignore-debian-frontend
    Het afdwingen van een niet-interactieve frontend uitschakelen in sommige gevallen die worden beschreven in het gedeelte "AUTOMATISCHE FRONTENDMODIFICATIE" hieronder.

--titled, --untitled
    De titel aan het begin van de uitvoer in- of uitschakelen.

--select-frontend
    Frontend interactief kiezen. Deze optie is voornamelijk bedoeld voor testdoeleinden, gebruik ze niet.

AUTOMATISCHE FRONTENDMODIFICATIE

Voor een betere integratie met bestaande hulpmiddelen voor pakketbeheer probeert apt-listchanges te detecteren of opwaarderingen van pakketten op een niet-interactieve manier worden uitgevoerd, en schakelt de frontend automatisch over naar 'tekst' wanneer één van de volgende voorwaarden is voldaan:

    • de standaarduitvoer is niet gekoppeld aan de terminal;

    • de optie --quiet (-q) werd meegegeven aan apt-get(8) (of aptitude(8)); merk echter op dat wanneer de optie meer dan eens wordt gebruikt, apt-listchanges de frontend op 'mail' zet;

    • de optie --assume-yes (-y) werd meegegeven aan apt-get(8);

    • de omgevingsvariabele DEBIAN_FRONTEND is ingesteld op "noninteractive" en APT_LISTCHANGES_FRONTEND niet ingesteld is.

Omwille van achterwaartse compatibiliteit kunnen de laatste twee van de bovenstaande controles worden uitgeschakeld met de vermeldingen "ignore_apt_assume=true" of "ignore_debian_frontend=true" in het configuratiebestand (zie "CONFIGURATIEBESTAND" hieronder) of met behulp van de commandoregelopties --ignore-apt-assume of --ignore-debian-frontend.

Houd er ook rekening mee dat de frontend "mail" al niet-interactief is, en dat deze dus nooit wordt omgeschakeld naar de frontend "text".

Bovendien overschrijft apt-listchanges op X11 gebaseerde frontends ("gtk", "xterm-pager", "xterm-browser") met "pager" (of "browser" in het geval van "xterm-browser") wanneer de omgevingsvariabele DISPLAY niet is ingesteld.

Houd er rekening mee dat de volgende stille frontends niet onderhevig zijn aan de modificaties: syslog, log.

CONFIGURATIEBESTAND

apt-listchanges leest zijn configuratie uit /etc/apt/listchanges.conf. Het bestand bestaat uit secties met namen tussen vierkante haken. Elke sectie moet regels bevatten in de indeling sleutel=waarde. Regels die beginnen met het teken "#" worden behandeld als commentaar en genegeerd. Bestanden met de naam naam.conf in de map /etc/apt/listchanges.conf.d worden ook op dezelfde manier gelezen en overschrijven waarden die in het hoofdconfiguratiebestand zijn ingesteld.

Sectie is een naam van een profiel dat kan worden gebruikt als parameter van de optie --profile.

De configuratie van de sectie "apt" kan worden beheerd met debconf(7) en de meeste instellingen daar kunnen worden gewijzigd met behulp van het commando dpkg-reconfigure apt-listchanges.

Sleutel is een naam van een commandoregeloptie (behalve --apt, --profile, --help) waarbij de voorafgaande koppeltekens worden verwijderd en de overige koppeltekens omgezet worden naar onderstrepingstekens, bijvoorbeeld: "email_format" of "save_seen".

Waarde staat voor de waarde van de overeenkomstige optie. Voor commandoregelopties die geen argument hebben, zoals "confirm" of "headers", moet de value worden ingesteld op "1", "yes", "true" of "on" om de optie in te schakelen en op "0", "no", "false" of "off" om deze uit te schakelen.

Bovendien kan sleutel een van de volgende trefwoorden zijn: "browser", "pager" of "xterm". De waarde van een dergelijk configuratie-item moet de naam zijn van een passend commando, eventueel gevolgd door de argumenten ervan, bijvoorbeeld: "pager=less -R".

Voorbeeld 1. Voorbeeld van een configuratiebestand

    [cmdline]
    frontend=pager

    [apt]
    frontend=xterm-pager
    email_address=root
    confirm=1

    [custom]
    frontend=browser
    browser=mozilla

Het bovenstaande configuratiebestand geeft aan dat in de modus cmdline, de frontend standaard "pager" moet zijn. In de modus apt is de frontend xterm-pager standaard, een kopie van de changelogs (als er changelogs zijn) moet worden gemaild naar root en apt-listchanges moet om bevestiging vragen. Als apt-listchanges wordt aangeroepen met --profile=custom, zal de frontend browser worden gebruikt en zal mozilla aanroepen worden.

OMGEVING

APT_LISTCHANGES_FRONTEND
    Te gebruiken frontend.

APT_LISTCHANGES_USER, SUDO_USER, USERNAME
    De waarde van de eerste variabele van de bovenstaande variabelen die bestaat, zal worden gebruikt als de naam van de gebruiker waarnaar moet worden overgeschakeld bij het uitvoeren van opdrachten die worden voortgebracht door de frontends "browser", "xterm-browser" en "xterm-pager" als apt-listchanges wordt gestart door een bevoorrechte gebruiker.

DEBIAN_FRONTEND
    Indien ingesteld op "noninteractive" kan dit het commando apt-listchanges dwingen om een niet-interactieve frontend te gebruiken, zie de sectie "AUTOMATISCHE FRONTENDMODIFICATIE" voor details.

BROWSER
    Gebruikt door de frontend browser; moet worden ingesteld op een commando dat een URL verwacht in de vorm van file: URL voor een HTML-bestand dat moet worden weergegeven.

PAGER
    Gebruikt door de frontend pager.

APT_HOOK_INFO_FD
    Bestandsindicator om pakketnamen van te lezen in de modus --apt. (Apt wordt verondersteld deze variabele in te stellen op een correct bestandsindicatornummer).

SEEN DATABASE INITIALIZATION

Wanneer apt-listchanges voor de eerste maal geïnstalleerd wordt of opgewaardeerd wordt van een oudere versie die de huidige database-indeling van geziene changelog-items niet gebruikt, zal het een systemd timer, apt-listchanges.timer, activeren welke om het uur apt-listchanges.service zal proberen te activeren, dat de bestanden changelog en NEWS van alle geïnstalleerde pakketten scant en de inhoud ervan gebruikt om de database van geziene items aan te vullen.

Op deze manier de database vooraf aanvullen zorgt ervoor dat apt-listchanges sneller werkt omdat het dan de bestanden changelog en NEWS van de momenteel geïnstalleerde pakketten niet moet ontleden tijdens opwaarderingen om te bepalen welke items weergegeven moeten worden.

Het vooraf aanvullen van de database moet op een host slechts één keer gebeuren, aangezien vanaf dat moment apt-listchanges de database automatisch bijwerkt tijdens upgrades. Daarom wordt de timer automatisch uitgeschakeld nadat de service succesvol werd voltooid.

Indien u om een of andere reden denkt dat de apt-listchanges database van geziene items onvolledig of inaccuraat is, kunt u ze opnieuw opbouwen door /var/lib/apt/listchanges te verwijderen en vervolgens systemctl start apt-listchanges.service uit te voeren. Merk op dat de service daardoor in de voorgrond uitgevoerd wordt tot de taak voltooid is.

BESTANDEN

/etc/apt/listchanges.conf
    Configuratiebestand.

/etc/apt/listchanges.conf.d/*.conf
    Bestanden die de instellingen uit het configuratiebestand modificeren.

/etc/apt/apt.conf.d/20listchanges
    Bestand dat wordt gebruikt voor het registreren van apt-listchanges in het apt-systeem.

/var/lib/apt/listchanges
    Database gebruikt voor save-seen.

AUTEUR

apt-listchanges is geschreven door Matt Zimmerman <mdz@debian.org>

De huidige beheerder is Jonathan Kamens <jik@kamens.us>

ZIE OOK

sensible-pager(1), sensible-browser(1), apt-get(8), aptitude(8)

VERTALER

Frans Spiesschaert <Frans.Spiesschaert@yucom.be>